<?php

class DbExport
{
	private $db;
	private $Receivers;
	
	
	public function __construct() {
		$this->db = Db::Singleton();
		$this->Receivers = array();
	}

	public function GetNextPortion($PortionSize) {
		$this->db->Begin();

		$this->db->Query('SELECT id FROM export'
			. ' WHERE (UNIX_TIMESTAMP() - UNIX_TIMESTAMP(exported)) > (rate * 60)'
			. ' FOR UPDATE');
		$Rows = $this->db->FetchRows();
		
		if (empty($Rows)) {
			$this->db->Commit();
			return array();
		}
		
		$ids = array();
		$this->Receivers = array();
		foreach ($Rows as $v) {
			$ids[] = intval($v['id']);
			$this->Receivers[] = new ProxyExporter($v['id']);
		}
		
		$this->db->Query("UPDATE export SET exported=NOW() WHERE id IN(".implode(", ",$ids).")");
		$this->db->Commit();
		return $this->Receivers;
	}
}

?>