<?php

class DbUrls
{
	private $db;
	private $Config;
	private $Sources;
	
	
	public function __construct() {
		$this->db = Db::Singleton();
		$this->Config = DbConfig::Singleton();
		$this->Sources = array();
	}

	public function GetNextPortion() {
		$this->db->Begin();
		
		$Portion = $this->Config->GetParam('grab_portion');
		$this->db->Query('SELECT id, url FROM urls WHERE grabbed=0 LIMIT 0,'.intval($Portion).' FOR UPDATE');
		$Rows = $this->db->FetchRows();
		
		if (empty($Rows)) {
			$this->db->Commit();
			return array();
		}
		
		$ids = array();
		$this->Sources = array();
		foreach ($Rows as $v) {
			$ids[] = intval($v['id']);
			$this->Sources[] = new ProxyGrabber($v['id'], $v['url']);
		}
		
		$this->db->Query('UPDATE urls SET grabbed=1 WHERE id IN('.implode(',',$ids).')');
		$this->db->Commit();		
		return $this->Sources;
	}
}

?>