<?php

// URLS AND DIRECTORIES
define('CONF_URL_ROOT', 'http://localhost/proxy5/');
define('CONF_URL_BASE', '/proxy5/');
define('CONF_PHP_PATH', '/usr/local/bin/php');
define('CONF_LOGIN_TO', 'Proxy/Worked/');

// DATABASE
define('CONF_DBHOST', 'localhost');
define('CONF_DBUSER', 'root');
define('CONF_DBPASS', 'alphakey');
define('CONF_DBNAME', 'proxy5');

define('CONF_TABLE', 'config');
define('CONF_DB_DRIVER', 'mysqli');

// PROCESSES
define('CONF_PROC_DURATION', 600);
define('CONF_ZOMBIE_PROC_TIME', 300);	// if no answer from process during N seconds - it's zombie 

// DEBUG
define('CONF_DEBUG_ENABLED', false);
define('CONF_DEBUG_DIR', 'logs/debug/');
define('CONF_DEBUG_FILE_PATTERN', '|^debug(\.[\w\-\.]+)?\.srz$|');

// LOGS
define('CONF_PRINT_LOGFILE_MESSAGES', true);
define('CONF_LOGFILE_MAXSIZE', 512000);	// 0 - no limit
define('CONF_LOG_DIR', 'logs/processes/'); 
define('CONF_ERRORS_LOG_FILE', 'logs/error.txt');

// SKIN
define('CONF_DEFAULT_SKIN', 'Simple');

// LANGUAGES
define('CONF_DEFAULT_LANGUAGE', 'Russian');
define('CONF_LANGUAGES_ENABLED', false);
define('CONF_REDIRECT_TO_LANGUAGE', true);

// COMPRESSION
define('CONF_STRIP_WHITESPACES', true);
define('CONF_GZIP_ENABLED', true);

// PAGE SPLITTER
define('CONF_ITEMS_PER_PAGE', 30);
define('CONF_MAX_DISPLAY_PAGES', 10);

// TIMEZONE
define('CONF_TIMEZONE', 'Etc/GMT-3');

// SESSION
define('CONF_SESSION_NAME', 'ProxyChecker5');
define('CONF_SESSION_CACHE_EXPIRE', 180);

// COOKIES
define('CONF_COOKIES_CACHE_EXPIRE', 2592000); // 60*60*24*30 - 30 days

// DEMO
define('CONF_DEMO_VERSION', false);

// MAIL
define('CONF_MAIL_EXTRA_HEADERS', '');

// FTP
define('CONF_FTP_TIMEOUT', 30);

// CHECKER
define('CONF_CHECK_PAGE_ID', 'REQUEST_INFO_PAGE_4896485_CODE');

// EXPORT
define('CONF_EXPORT_PORTION', 5);

?>