<?php

include_once 'config.php';
include_once 'configs/InitialSetup.php';
include_once 'functions/__autoload.php';
include_once 'modules/Cron/class.Cron.php';


date_default_timezone_set(CONF_TIMEZONE);

$Errors = new ErrorHandler();
$Errors->SetLogFile(CONF_ERRORS_LOG_FILE);
$Errors->LoggingOn();
if (CONF_DEBUG_ENABLED) $Errors->DisplayOn();

$Dispatcher = Dispatcher::Singleton();
$Dispatcher->SetRootDir( dirname(__FILE__).'/' );

$Cron = new Cron();
$Cron->Run();

?>