<?php
/**
* RAZOR DATABASE INSTALLER
* igshat@gawab.com
* ICQ: 137-908-479
*/

include_once 'config.php';

define('SQL_FILE', 'db.sql.gz');
define('DB_HOST', CONF_DBHOST);
define('DB_USER', CONF_DBUSER);
define('DB_PASS', CONF_DBPASS);
define('DB_NAME', CONF_DBNAME);

echo "\r\n<h3>SQL database installer</h3><pre>\r\n";

Prepare();
FlushBuffer();

$Ins = new DbInstaller(SQL_FILE);
$Ins->SetEncoding('utf8');
$Ins->Mute(false);
if (!$Ins->Install()) die;

if (@unlink(__FILE__) == false) echo '<font color="red">Cannot delete file <b>'.__FILE__.'</b>. You must delete it manually!</font>';






//============================================================================

function Prepare() {
	set_time_limit(0);
	ignore_user_abort(0);
	ob_implicit_flush();
	
	ini_set('error_reporting', E_ALL);
	ini_set('output_buffering', 0);
	ini_set('display_errors', 1);	
}

function FlushBuffer() {
	echo "\r\n<!--";
	for($i=0; $i<1000; $i++) echo rand(1000,9999);
	echo "-->\r\n";
	flush();	
}





class DbInstaller
{
	private $File;
	private $Link;
	private $Mute;
	
	 
	public function __construct($File) {
		$this->File = $File;
		$this->Mute = true;
		$this->Connect();		
	}
	
	public function Mute($State) {
		$this->Mute = $State ? true : false;
	}
	
	public function SetEncoding($Encoding) {
		mysql_query('SET NAMES '.addslashes($Encoding), $this->Link);
	}
	
	public function Install() {
		$this->Message('Importing SQL-file...');
		$this->Message('Approved queries count:');

		$zp = gzopen($this->File, "rb");
		if (!$zp) {
			$this->Message('Cannot read archive "'.$this->File.'"');
			return false;
		}

		$count = 0;
		$part = 0;
		$content = "";
		while (!gzeof($zp)) {
			$content .= gzread($zp, 8192);
			$arr = preg_split("/\s*;[\r\n]+\s*/", $content);
			if (count($arr) > 1) {
				$content = array_pop($arr);
				foreach($arr as $sql) {
					if (mysql_query($sql, $this->Link) === false) {
						$this->Message(mysql_error($this->Link));
						return false;
					}
					$count++;
				}
			}
			
			// counter
			$part++;
			if ($part > 50) {
				$part = 0;
				$this->Message($count);
			}
		}		
		
		gzclose($zp);
		mysql_close($this->Link);
		
		$this->Message('Total approved SQL-queries: <b>'.$count.'</b>');
		$this->Message('SQL file imported successfully');
		return true;
	}
	

	
	
	
	private function Connect() {
		$this->Link = mysql_connect(DB_HOST, DB_USER, DB_PASS) or die('Cannot connect to database');
		mysql_select_db(DB_NAME) or die('Could not select database');
	}
	
	private function Message($Text) {
		if ($this->Mute) return;
		echo $Text."\r\n";
		flush();
	}
}

?>