<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */


/**
 * Smarty {print_r} function plugin
 *
 * Type:     function<br>
 * Name:     print_r<br>
 * Purpose:  print variable recursively
 * @author	Razor (igshat@gawab.com)
 */
function smarty_function_print_r($params, &$smarty)
{
	ob_start();
	foreach ($params as $v) {
		print_r($v);
	}
	$content = ob_get_contents();
	ob_end_clean();
	return '<pre>'.htmlspecialchars($content).'</pre>';
}

/* vim: set expandtab: */

?>
