<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */

/**
 * Smarty {range} function plugin
 *
 * Type:     function<br>
 * Name:     range<br>
 * Purpose:  PHP range() analog
 * @author Razor (igshat@gawab.com)
 */
function smarty_function_range($params, &$smarty)
{
    extract($params);
    if (!isset($low)) $smarty->trigger_error("missing 'low' parameter");
    if (!isset($high)) $smarty->trigger_error("missing 'high' parameter");
    if (!isset($assign)) $smarty->trigger_error("missing 'assign' parameter");
    $smarty->assign($assign, range($low, $high));
}

/* vim: set expandtab: */

?>
