<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */


/**
 * Smarty constant modifier plugin
 *
 * Type:     modifier<br>
 * Name:     constant<br>
 * Date:     2007-04-20
 * Purpose:  return defined constant value
 * @author	Razor (igshat@gawab.com)
 */
function smarty_modifier_const($const_name)
{
	if(defined($const_name)) {
		return constant($const_name);
	} else {
		trigger_error('Smarty error: constant '.$const_name.' is undefined', E_USER_WARNING);
	}
	return false;
}

/* vim: set expandtab: */

?>
