<?php

abstract class DbAccessBase
{
	protected $FetchType;
	protected $Encoding;
	protected $Query;	
	
	

	
	public function SetEncoding($Encoding) {
		$this->Encoding = $Encoding;
		$this->Query('SET NAMES '.$Encoding);
	}
	
	public function SetFetchType($Type) {
		$this->FetchType = $Type;
	}
	

	
	
	public function Begin() {
		$this->Query('BEGIN');
	}
	
	public function Commit() {
		$this->Query('COMMIT');
	}

	public function Rollback() {
		$this->Query('ROLLBACK');
	}

	
	
	
	public function GetFetchType() {
		return $this->FetchType;
	}

	public function GetEncoding() {
		return $this->Encoding;
	}
		
	public function GetLastQuery() {
		return $this->Query;
	}

	
	
}

?>