<?php

final class DbConfig
{
	private static $Instance;
	private $db;
	private $Params;
	


	public static function Singleton() {
		if (!isset(self::$Instance)) {
			$ClassName = __CLASS__;
			self::$Instance = new $ClassName();
		}
		return self::$Instance;
	}
	private function __clone() {}
	private function __construct() {
		$this->db = Db::Singleton();
		$this->LoadFromDb();
	}

	
	
	
	public function SetParam($Param, $Value) {
		$this->db->Query("SELECT param FROM ".CONF_TABLE." WHERE param='".addslashes($Param)."'");
		if ($this->db->NumRows()) {
			$this->db->Query("UPDATE ".CONF_TABLE." SET value='".addslashes($Value)."' WHERE param='".addslashes($Param)."'");
		} else {
			$this->db->Query("INSERT INTO ".CONF_TABLE." SET param='".addslashes($Param)."', value='".addslashes($Value)."'");
		}
		$this->Params[$Param] = $Value;
	}

	public function GetParam($Param) {
		if (isset($this->Params[$Param])) return $this->Params[$Param];
		return null;
	}
	
	public function GetParams() {
		return $this->Params;
	}

	public function RemoveParam($Param) {
		$this->db->Query("DELETE FROM ".CONF_TABLE." WHERE param='".addslashes($Param)."'");
		unset($this->Params[$Param]);
	}
	
	
	
	
	private function LoadFromDb() {
		$this->db->Query('SELECT * FROM '.CONF_TABLE);
		$this->Params = $this->db->FetchRows('param', 'value');
	}
}

?>