<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */


/**
 * Smarty {explode} function plugin
 *
 * Type:     function<br>
 * Name:     implode<br>
 * Purpose:  return array from string like PHP explode() function
 * @author	Razor (igshat@gawab.com)
 *
 * @param string $separator
 * @param string $string
 * @param string $assign 
 * @param int[optional] $limit
 */
function smarty_function_explode($params, &$smarty)
{
	$smarty->assign($params['assign'], explode($params['separator'], $params['string']));
}

/* vim: set expandtab: */

?>
