<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */


/**
 * Smarty {implode} function plugin
 *
 * Type:     function<br>
 * Name:     implode<br>
 * Purpose:  join array elements to string like PHP implode() function
 * @author	Razor (igshat@gawab.com)
 *
 * @param string $glue
 * @param array $pieces
 * @param string $assign 
 */
function smarty_function_implode($params, &$smarty)
{
    $smarty->assign($params['assign'], implode($params['glue'], $params['pieces']));
}

/* vim: set expandtab: */

?>
