<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */


/**
 * Smarty {var_dump} function plugin
 *
 * Type:     function<br>
 * Name:     var_dump<br>
 * Purpose:  dump variable
 * @author	Razor (igshat@gawab.com)
 */
function smarty_function_var_dump($params, &$smarty)
{
	ob_start();
	foreach ($params as $v) {
		var_dump($v);
	}
	$content = ob_get_contents();
	ob_end_clean();
	return '<pre>'.htmlspecialchars($content).'</pre>';
}

/* vim: set expandtab: */

?>
