<html>
<head>
<title>Razor::Framework - Debug panel</title>
<meta content="text/html; charset=utf-8" http-equiv=Content-Type>
<style type="text/css">
{literal}
	TABLE.menu {}
	TABLE.menu TD {padding:10px; background-color:#DFDFDF;}
	TABLE.menu TD.Selected {padding:10px; background-color:#AFD4FF;}
	TABLE.menu TD A {color:black;}
{/literal}	
</style>
</head>


<body>
{assign var=Action value=$Dispatcher->GetActionName()}
<table width="100%" height="100%">

<tr align="center">
	<td height="20">
		<table align="left" class="menu"><tr>
		<td><a href="{'CONF_URL_ROOT'|const}">Project home</a></td>
		<td {if $Action=='DebugFiles'}class="Selected"{/if}><a href="Debug/DebugFiles/">Debug files</a></th>
		<td {if $Action=='ErrorLog'}class="Selected"{/if}><a href="Debug/ErrorLog/">Error log</a></td>
		</tr></table>
	</td>
</tr>

<tr><td valign="top"><br/>






{if $Action=='DebugFiles'}

	{if !empty($DebugFiles)}
		<a style="color:red;" href="Debug/DeleteDebugFiles/">Delete debug files</a>
		<ul>
		{foreach from=$DebugFiles item=item}
			{assign var=item value=$item|escape:'url'}
			<li><a href="Debug/ViewFile/?File={$item|escape:'url'}">{$item|escape}</a>
		{/foreach}
		</ul>
	{else}
		Debug files does not exist
	{/if}
		
	

	
	

	
{elseif $Action=='ViewFile'}

	{if !empty($DebugInfo)}
		<h3>{'File'|get}</h3>
		<table border="1" cellpadding="4" cellspacing="0">
		{foreach from=$DebugInfo item=Operation}
			<tr>
			{if $Operation.Type == 'Message'}
				
				<td><b>{$Operation.Message|escape}</b></td>
				<td colspan="3">{$Operation.StartTime|date_format:"%T"}</td>
			
			{elseif $Operation.Type == 'Query'}

				<td>{$Operation.Query|escape|nl2br}</td>
				<td nowrap>{$Operation.StartTime|date_format:"%T"}</td>
				<td nowrap>{$Operation.Duration|string_format:"%.10f"} sec</td>
				<td nowrap>
					num rows: <b>{$Operation.Result.NumRows}</b>;
					affected rows: <b>{$Operation.Result.AffectedRows}</b>;
					{$Operation.Result.Info|escape}
				</td>
				
				
			{else}

				<td><i>Unknown operation type: {$Operation.Type|escape}<i></td>
				
			{/if}		
			</tr>
		{/foreach}
		</table>
	{else}
		Empty		
	{/if}
	


	
	


{elseif $Action=='ErrorLog'}
	

	{if isset($Content)}
		<a style="color:red;" href="Debug/DeleteErrorLog/">Delete log file</a>
		<pre>{$Content|escape}</pre>
	{else}
		Log file does not exist		
	{/if}	

	
	
{/if}
	
		
</td></tr>
</table>
</body>
</html>